# CHANGELOG.md

## 2.0 (2022-09-19) Dockerify https://redmine.ungleich.ch/issues/10884

Steps:
 - Create .env.prod and .env.prod.db files

#### .env.prod
```
DEBUG=0
SECRET_KEY=secret_key_here
DJANGO_SETTINGS_MODULE=gmba_django.settings.production
ALLOWED_HOSTS=localhost,127.0.0.1,[::1]
POSTGRES_USER=user
POSTGRES_PASSWORD=password
POSTGRES_DB=app
POSTGRES_HOST=db
POSTGRES_PORT=5432
```

Building containers
 - docker-compose -f docker-compose.prod.yml down -v --remove-orphans
 - docker-compose -f docker-compose.prod.yml up -d --build

Copy db and adust
 - docker cp gd.sql gmba_django_db_1:/gd.sql
 - docker-compose exec db psql --username=psql_username_name --dbname=psql_db_name < /gd.sql

Migrate / check
 - docker-compose exec web python manage.py migrate --noinput

Static resources
 - docker-compose -f docker-compose.prod.yml exec web python manage.py collectstatic --no-input --clear

## 1.12 (2022-01-19)

Bugfixes:
 - issue#10112: Mountain Range admin form reorganization
 - issue#10149: Fix for organization name empty case
 - issue#10147: Fix atlas showing up as default type for many Resources
 - issue#10142: Person admin form enhancements

## 1.11 (2022-01-05)

Bugfixes:
 - issue#10111
   - 'Gmba v2 id:' is editable at the moment, it shouldn't be editable

Upgrades:
 - issue#10113
   - Django from 3.2.5 to 3.2.11 and then to 4.0.1

## 1.10 (2022-01-05)

Enhancements:
 - issue#10105
   - Improve admin page load time for Person, Resource and MountainRange

## 1.9 (2022-01-04)

Bugfixes:
 - issue#10106
   - Organisation : add country to the list at the end
   - Mountain Ranges: add country at the end. sort the range names in alphabetical order.
   - Persons: should have organisation name in the list view
   - Resources: Alphabetically sort the titles
  - issue#10077: efficient input lookup for organization column in Person

## 1.8 (2022-01-04)

Bugfixes:
   - Fix profile delete #10076
   - Remove editable fields for organisation, improve organisation display

## 1.7 (2021-12-07)

Bugfixes:
   - Fix comments from #9942, #9943, #9944, #9945

## 1.6 (2021-11-28)

Bugfixes:
   - Organisation:
       - [x] Make changes as described in #9945

## 1.5 (2021-11-28)

Bugfixes:
   - Resource:
       - [x] Makes changes as described in #9944

## 1.4 (2021-11-28)

Bugfixes:
   - Range:
       - [x] Makes changes as described in #9943

## 1.3 (2021-11-28)

Bugfixes:
   - Person:
        - [x] Make Changes as described in #9942
   - Organization:
       - [x] Make category drop down field
   - Range:
       - [x] Fix search throwing 500 error

## 1.2 (2021-11-26)

Bugfixes:
   - Mountain Ranges (Range in DB)
       - [x] Link Range and RangeTypes model with feature
       - [x] Points from #9909
            > Level: 0 -> not sure what the level is, the level does not show up in access
            > Level next: same as level, it does not show in access
            > Level 1, 2, 3: false -> does not show in access
            > Orogeny: does not show in access
            > Color all, color basic, color 300: does not show in access
            > Elev low, Elev high, eleve range, eleve avg: does not show in access

   - Resources
        [x] 1. Search seems to work as it should on django admin for Resources app, so I could locate the following entry to compare 1:1 to access.
        Relative contribution of soil, management and traits to co-variations of multiple ecosystem properties in grasslands
        https://gmba-django-internal.ungleich.ch/admin/app/resource/1/change/?_changelist_filters=q%3Drelative%2Bcontribution
            [x] stars needs to be dropdown choice instead of text field
            [x] in Access, the URL link is clickable, in django it isn't: in django the url is wrapped in #
            [x] in Access, Type is dropdown choice
            [x] PEGASuS Check map with author needs to be checkbox
            [x] Gloria, Gnomo, LTER, LTSER, MIREN, TEAM, Inventory needs to be checkbox
        2. Ranges should have dropdown field, screenshot attached
        3. Keywords should have dropdown field, screenshot attached
        4. People should have Person/Role subcategory and dropdowns, screenshot attached
        [x] 5. Fix the order of fields

## 1.1 (2021-11-26)

Features:
  - Organization admin interface similar to Access

Bugfixes:
  - Organization search and listing

## 1.0 (2021-11-25)

Features:
  - First release includes functioning django admin interfaces for 
  `Person` and `Range` models
